#-*-coding:utf-8-*-
"""
    Update systématique de la base posh (à chaque reconfigure)
"""
from posh.config.config import profile_db_pwd
from eolesql.config import dico_creole

DB = "posh"
FILENAMES = ['/usr/share/eole/applications/updates/creole_posh/update_creole_posh.sql']

def test_response(result=None):
    """
        Vérifie que posh est bien actif
    """
    return dico_creole.get('posh', 'non') == 'oui'

conf_dict = dict(db=DB,
                 expected_response=test_response,
                 filenames=FILENAMES,
                 version='Mise à jour Creole'
                 )
