#-*-coding:utf-8-*-
"""
    Configuration de l'update de la base posh
"""
from posh.config.config import profile_db_pwd
from eolesql.config import dico_creole

QUERY = "SHOW TABLES"
DB = "posh"
FILENAMES = ['/usr/share/eole/applications/updates/posh/update_db_posh.sql']

def test_response(result):
    """
        Renvoie True si il faut mettre la base à jour
    """
    return (dico_creole.get('posh', 'non') == 'oui' and \
                           ('adm_userinfo',) not in result)

conf_dict = dict(condition_query=QUERY,
                 expected_response=test_response,
                 db=DB,
                 filenames=FILENAMES,
                 version='2.1.1'
                 )
