-- ------------------------
-- Update des tables Posh
ALTER DATABASE posh CHARACTER SET utf8;
\r posh
SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
-- > 2.0.0;
UPDATE `adm_config` SET `desttype` = 'A' WHERE CONVERT( `parameter` USING utf8 ) = 'AVLANGS' LIMIT 1 ;
UPDATE adm_config SET value=REPLACE(value,"array(","") WHERE parameter="AVLANGS";
UPDATE adm_config SET value=REPLACE(value,")","") WHERE parameter="AVLANGS";
INSERT INTO `adm_config` VALUES ('NOTIFICATIONEMAIL', '', 'str', 'P');
INSERT INTO `adm_tabs_fct` ( `tabname` , `fctname` , `label` , `link` , `description` ) VALUES ('configstab', 'notifications', 'appNotificationConfiguration', 'admin/config_notifications.php', 'appNotificationConfigurationTxt');
CREATE TABLE `adm_mail` (`id` int(3) NOT NULL auto_increment,`libelle` varchar(20) collate utf8_unicode_ci NOT NULL default '',`lang` varchar(2) collate utf8_unicode_ci NOT NULL default '',`subject` varchar(100) collate utf8_unicode_ci NOT NULL default '',`message` text collate utf8_unicode_ci NOT NULL,`sender` varchar(60) collate utf8_unicode_ci default NULL,`copy` varchar(200) collate utf8_unicode_ci default NULL,PRIMARY KEY  (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=8 ;
INSERT INTO `adm_mail` VALUES (1, 'validInscription', 'fr', 'Validation de votre inscription sur %site', 'Bonjour,\r\n\r\nFélicitation pour la création de votre compte.\r\nVoici vos informations personnelles de connection :\r\nemail: %email\r\nPassword: %password\r\n\r\nCes paramètres vous donneront accès à votre compte.\r\n\r\nCordialement\r\n%site\r\n%link\r\n\r\n%unsuscribe', NULL, NULL);
INSERT INTO `adm_mail` VALUES (2, 'validInscription', 'en', 'Confirmation of your subscription of %site', 'Hello,\r\n\r\nCongratulations for creating your brand new account. \r\nHere is your personal connection information :\r\nemail: %email\r\nPassword: %password\r\n\r\nThese parameters will give you access to your account.\r\n\r\nBest regards\r\n%site\r\n%link\r\n\r\n%unsuscribe', NULL, NULL);
INSERT INTO `adm_mail` VALUES (3, 'validWidget', 'fr', 'Validation de votre widget sur %site', 'Bonjour,\r\n\r\nFélicitation, votre widget "%description" a été validé par un administrateur.\r\nVous pouvez l''utiliser dès à présent dans votre portail.\r\n\r\nCordialement\r\n%site\r\n%link\r\n\r\n%unsuscribe', NULL, NULL);
INSERT INTO `adm_mail` VALUES (4, 'validWidget', 'en', 'Validation of your widget on %site', 'Hello,\r\n\r\nCongratulations, your widget %description has been validated by an administrator. \r\nFrom now on, you can use it in your portal.\r\n\r\nSee you soon,\r\n%site\r\n%link', NULL, NULL);
INSERT INTO `adm_mail` VALUES (5, 'getPassword', 'fr', 'Mot de passe mit a jour sur %site', 'Bonjour,\r\n\r\nSuite à votre demande, nous avons réinitialisé votre mot de passe. \r\n\r\nVoici vos identifiants:\r\nmail : %email\r\npassword : %password\r\n\r\nCordialement,\r\n%site\r\n%link\r\n\r\n\r\n%unsuscribe', NULL, NULL);
INSERT INTO `adm_mail` VALUES (6, 'getPassword', 'en', 'Password updated on %site', 'Hello,\r\n\r\nYour password has been reset as requested. Here is your new account informations :\r\n\r\nemail:%email\r\npassword:%password\r\n\r\nSee you soon,\r\n%site\r\n%link\r\n\r\n%unsuscribe', NULL, NULL);
ALTER TABLE `dir_rss` ADD `proxy` VARCHAR( 50 ) NOT NULL ,ADD `last_user_access` DATE NOT NULL ;
DELETE FROM adm_headlinks WHERE label IN ('lblHelp','lblAddContent','lblArchive2','lblPersonalize','lblSave','lblConnect','lblDisconnect','lblHelp');
ALTER TABLE `adm_headlinks` ADD `uniq_id` VARCHAR( 30 ) NOT NULL AFTER `id` ,ADD `type` VARCHAR( 30 ) DEFAULT 'link' NOT NULL AFTER `uniq_id` ;
INSERT INTO adm_headlinks (id,uniq_id,type,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (1,'lab_hello','label','lblHello','','','','','O',1,0,1,1);
INSERT INTO adm_headlinks (id,uniq_id,type,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (2,'link_name','link','%username%','','','','p_network.myprofile()','O',2,0,1,1);
INSERT INTO adm_headlinks (id,uniq_id,type,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (3,'lab_par1','label','(','','','','','O',3,0,1,1);
INSERT INTO adm_headlinks (id,uniq_id,type,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (4,'link_logout','link','lblDisconnect','lblDisconnect','','','$p.app.logout()','O',4,0,1,1);
INSERT INTO adm_headlinks (id,uniq_id,type,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (5,'lab_par2','label',')','','','','','O',5,0,1,1);
INSERT INTO adm_headlinks (id,uniq_id,type,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (6,'lab_sep1','label','|','','','','','O',6,0,1,0);
INSERT INTO adm_headlinks (id,uniq_id,type,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (7,'link_menu','link','menu','menu','b','ico_menu.gif','$p.app.menu.open()','O',7,1,1,0);
INSERT INTO adm_headlinks (id,uniq_id,type,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (8,'lab_sep3','label','|','','','','','O',8,1,0,0);
INSERT INTO adm_headlinks (id,uniq_id,type,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (9,'link_save','link','lblSave','lblSavePage','b','ico_menu_disk.gif','$p.app.connection.saveMenu()','O',9,1,0,0);
INSERT INTO adm_headlinks (id,uniq_id,type,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (10,'lab_sep4','label','|','','','','','O',10,1,0,0);
INSERT INTO adm_headlinks (id,uniq_id,type,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (11,'link_login','link','lblConnect','lblConnect','b','','$p.app.connection.menu()','O',11,1,0,0);
ALTER TABLE `dir_rss` CHANGE `last_user_access` `lastaccess` DATE DEFAULT '0000-00-00' NOT NULL ;
ALTER TABLE `users` CHANGE `description` `description` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci,CHANGE `picture` `picture` VARCHAR( 200 ) CHARACTER SET utf8 COLLATE utf8_general_ci,CHANGE `stat` `stat` VARCHAR( 200 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci ;
ALTER TABLE `dir_item` CHANGE `name` `name` VARCHAR( 50 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL ;
ALTER TABLE `dir_rss` CHANGE `lastloadedid` `lastloadedid` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci,CHANGE `lastloadedtime` `lastloadedtime` DATETIME DEFAULT '0000-00-00 00:00:00',CHANGE `proxy` `proxy` VARCHAR( 50 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci,CHANGE `lastaccess` `lastaccess` DATE DEFAULT '0000-00-00' ;
CREATE TABLE `applications` (`id` SMALLINT NOT NULL AUTO_INCREMENT ,`title` VARCHAR( 60 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL ,`description` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL ,`creation_date` DATE NOT NULL ,`icon` VARCHAR( 150 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL ,`action` VARCHAR( 150 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL ,PRIMARY KEY ( `id` ) );
CREATE TABLE `applications_groups_map` (`application_id` MEDIUMINT NOT NULL ,`group_id` SMALLINT NOT NULL ,PRIMARY KEY ( `application_id` , `group_id` ) );
UPDATE `adm_tabs` SET `id` = '11' WHERE `id` =5 LIMIT 1 ;
UPDATE `adm_tabs` SET `id` = '10' WHERE `id` =4 LIMIT 1 ;
UPDATE `adm_tabs` SET `id` = '9' WHERE `id` =3 LIMIT 1 ;
UPDATE `adm_tabs` SET `id` = '8' WHERE `id` =2 LIMIT 1 ;
INSERT IGNORE INTO `adm_tabs` ( `id` , `name` , `label` , `type` , `param` ) VALUES ('2', 'userstab', 'Utilisateurs', '4', 'admin/users.php');
INSERT IGNORE INTO `adm_tabs` ( `id` , `name` , `label` , `type` , `param` ) VALUES ('3', 'pagestab', 'Pages', '4', 'admin/pages.php');
INSERT IGNORE INTO `adm_tabs` ( `id` , `name` , `label` , `type` , `param` ) VALUES ('4', 'applicationtab', 'applications', '4', 'admin/applications.php');
DELETE IGNORE FROM `adm_tabs` WHERE `name`='configstab';
DELETE IGNORE FROM `adm_tabs` WHERE `name`='applicationtab';
INSERT INTO `adm_tabs_fct` ( `tabname` , `fctname` , `label` , `link` , `description` ) VALUES ('applicationtab', 'applicationsaccess', 'applicationsAccess', 'admin/application_management.php', '');
ALTER TABLE `pages` ADD `icon` VARCHAR( 100 ) ;
ALTER TABLE `dir_cat_item` CHANGE `first` `first` CHAR( 1 ) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT 'Y' NOT NULL;
ALTER TABLE `feed_articles` CHANGE `image` `image` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci,CHANGE `video` `video` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci,CHANGE `audio` `audio` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci,CHANGE `pubdate` `pubdate` VARCHAR( 40 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci,CHANGE `uniqid` `uniqid` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci ;
ALTER TABLE `profile` CHANGE `cacheurl` `cacheurl` VARCHAR( 36 ) CHARACTER SET utf8 COLLATE utf8_general_ci,CHANGE `param` `param` VARCHAR( 150 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci ;
ALTER TABLE `temp_category` CHANGE `pass` `pass` CHAR( 1 ) CHARACTER SET utf8 COLLATE utf8_general_ci ;
ALTER TABLE `temp_dir_cat_item` CHANGE `first` `first` CHAR( 1 ) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT 'Y' NOT NULL ;
ALTER TABLE `temp_dir_item` CHANGE `keywords` `keywords` VARCHAR( 250 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `users` CHANGE `pass` `pass` TINYBLOB,CHANGE `description` `description` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci,CHANGE `picture` `picture` VARCHAR( 200 ) CHARACTER SET utf8 COLLATE utf8_general_ci,CHANGE `stat` `stat` VARCHAR( 200 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci ;
ALTER TABLE `users_calendar` CHANGE `comments` `comments` VARCHAR( 250 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci,CHANGE `time` `time` VARCHAR( 5 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci ;
ALTER TABLE `users_tasks` CHANGE `comments` `comments` VARCHAR( 250 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `widget_addressbook` CHANGE `firstname` `firstname` VARCHAR( 30 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci,CHANGE `lastname` `lastname` VARCHAR( 30 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci,CHANGE `email` `email` VARCHAR( 60 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci,CHANGE `company` `company` VARCHAR( 60 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci,CHANGE `func` `func` VARCHAR( 30 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci,CHANGE `phone1` `phone1` VARCHAR( 30 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci,CHANGE `phone2` `phone2` VARCHAR( 30 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci,CHANGE `other` `other` VARCHAR( 150 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci ;
ALTER TABLE `module` ADD `old_id` TINYINT UNSIGNED;
ALTER TABLE `profile` ADD `old_id` TINYINT UNSIGNED;
UPDATE profile SET old_id=id;
UPDATE module SET old_id=profile_id;
ALTER TABLE `profile` DROP `id` ;
ALTER TABLE `profile` DROP INDEX `ind_profile` ;
ALTER TABLE `profile` ADD `id` INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY FIRST ;
ALTER TABLE `module` CHANGE `profile_id` `profile_id` INT( 3 ) UNSIGNED DEFAULT '0' NOT NULL;
ALTER TABLE `module` DROP INDEX `ind_module` ;
ALTER TABLE `module` DROP INDEX `module_unique` ;
UPDATE module,profile SET profile_id=profile.id WHERE module.user_id=profile.user_id AND module.old_id=profile.old_id;
ALTER TABLE `module` ADD INDEX `ind_module` ( `profile_id` , `uniq` );
INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('menuDefaultStatus',1,'int','J');
UPDATE adm_config SET value='2' WHERE parameter='loadlatestpageonstart';
INSERT INTO `adm_tabs_fct` VALUES ('userstab', 'usersinfos', 'userInfos', 'admin/users_infos_config.php', 'userInfos');
CREATE TABLE `adm_userinfo` ( `id` int(3) NOT NULL auto_increment, `label` varchar(100) collate utf8_unicode_ci NOT NULL default '', `type` varchar(50) collate utf8_unicode_ci NOT NULL default '', `options` varchar(200) collate utf8_unicode_ci default NULL, `mandatory` binary(1) NOT NULL default '', `editable` binary(1) NOT NULL default '', `public` binary(1) NOT NULL default '', PRIMARY KEY  (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `users_info` ( `user_id` int(11) NOT NULL default '0', `info_id` int(11) NOT NULL default '0', `parameters` text character set utf8, `ispublic` binary(1) NOT NULL default '', PRIMARY KEY  (`user_id`,`info_id`) ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
ALTER TABLE `users` CHANGE `lastconnect_date` `lastconnect_date` DATETIME DEFAULT '0000-00-00' NOT NULL;
INSERT INTO `adm_config` ( `parameter` , `value` , `datatype` , `desttype` ) VALUES ('useChat', 'false', 'int', 'J');
CREATE TABLE `widget_html` (`id` int(10) unsigned NOT NULL auto_increment,`user_id` mediumint(8) unsigned NOT NULL default '0',`content` text collate utf8_unicode_ci,PRIMARY KEY  (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
ALTER TABLE `users` ADD `activity` CHAR( 1 ) DEFAULT 'x' NOT NULL AFTER `stat` ;
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype`) VALUES ('addPagePermission', 'true', 'int', 'J');
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype`) VALUES ('displayAllLanguageModules', 'true', 'int', 'J');
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype`) VALUES ('userChangePermission', 'true', 'int', 'J');
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype`) VALUES ('passwordChangePermission', 'true', 'int', 'J');
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype`) VALUES ('showModuleRefresh', 'true', 'int', 'J');
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype`) VALUES ('showModuleClose', 'true', 'int', 'J');
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype`) VALUES ('showModuleConfigure', 'true', 'int', 'J');
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype`) VALUES ('showModuleMinimize', 'true', 'int', 'J');
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype`) VALUES ('showModuleTitle', 'true', 'int', 'J');
ALTER TABLE `module` ADD `feed_id` MEDIUMINT UNSIGNED DEFAULT '0' NOT NULL ;
ALTER TABLE `feed_articles` ADD `source` VARCHAR( 255 ) NULL ;
INSERT INTO `adm_config` ( `parameter` , `value` , `datatype` , `desttype` ) VALUES ('getNbArticleOfArchive', 'true', 'int', 'P');
INSERT INTO `adm_config` ( `parameter` , `value` , `datatype` , `desttype` ) VALUES ('usePrivateModules', 'true', 'int', 'J');
INSERT INTO `adm_config` ( `parameter` , `value` , `datatype` , `desttype` ) VALUES ('useRssDelete', 'false', 'int', 'J');
INSERT INTO `adm_config` ( `parameter` , `value` , `datatype` , `desttype` ) VALUES ('displayrsssource', 'false', 'int', 'J');
INSERT INTO `adm_config` ( `parameter` , `value` , `datatype` , `desttype` ) VALUES ('displayrssimages', '2', 'int', 'J');
UPDATE `adm_config` SET `value` = '1' WHERE CONVERT( `parameter` USING utf8 ) = 'displayrssdesc' LIMIT 1 ;
CREATE TABLE `adm_tabs_map` ( `user_id` tinyint(3) NOT NULL default '0', `tab_id` tinyint(3) NOT NULL default '0', PRIMARY KEY  (`user_id`,`tab_id`) ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
UPDATE `adm_config` SET value='0' WHERE parameter='showHomeBar';
ALTER TABLE `profile` ADD `status` TINYINT( 1 ) DEFAULT '0' NOT NULL;
ALTER TABLE `profile` ADD `page_id` TINYINT( 3 ) UNSIGNED DEFAULT NULL;
INSERT INTO `adm_config` ( `parameter` , `value` , `datatype` , `desttype` ) VALUES ('rand', 'abc', 'str', 'P');
INSERT INTO `adm_config` VALUES ('displayThemeSelector', 'true', 'int', 'J');
INSERT INTO `adm_config` VALUES ('displayPublicPages', 'true', 'int', 'J');
ALTER TABLE `dir_cat_item` ADD PRIMARY KEY ( `item_id` , `category_id` );
ALTER TABLE `search_index` ADD INDEX `ind_searchindex_kwid` ( `kw_id` );
ALTER TABLE `search_index` ADD INDEX `ind_searchindex_itemid` ( `item_id` );
ALTER TABLE `users_group_category_map` ADD INDEX `ind_usergroupcategorymap_groupid` ( `group_id` );
ALTER TABLE `users_group_category_map` ADD INDEX `ind_usergroupcategorymap_catid` ( `category_id` );
ALTER TABLE `users_group_map` ADD INDEX `ind_usersgroupmap_groupid` ( `user_id` );
ALTER TABLE `users_group_map` ADD INDEX `ind_usersgroupmap_catid` ( `group_id` );
ALTER TABLE `users` ADD `keywords` VARCHAR( 255 ) ;
INSERT INTO `adm_config` VALUES ('tabType', 'navigator', 'str', 'J');
UPDATE `dir_item` SET `name` = 'RSS',`description` = '' WHERE `id` =86;
ALTER TABLE `feed_articles` ADD `loaddate` DATE AFTER `pubdate`;
INSERT INTO adm_tabs_map (user_id, tab_id) SELECT users.id,adm_tabs.id FROM users,adm_tabs WHERE users.typ='A';
-- > 2.0.1;
DELETE FROM adm_tabs_map;
INSERT INTO adm_tabs_map (user_id, tab_id) SELECT users.id,adm_tabs.id FROM users,adm_tabs WHERE users.typ='A';
UPDATE `adm_config` SET value='false' WHERE parameter='getNbArticleOfArchive';
ALTER TABLE `dir_item` ADD INDEX `idx_status` ( `status` );
INSERT INTO `adm_config` ( `parameter` , `value` , `datatype` , `desttype` ) VALUES ('themeList', '"default"', 'arr', 'J');
UPDATE `adm_config` SET `value` = REPLACE(value,'p_tabs.selId','$p.app.tabs.selId') WHERE  CONVERT(`parameter` USING utf8) = 'option';
-- > 2.0.2;
INSERT INTO `adm_config` ( `parameter` , `value` , `datatype` , `desttype` ) VALUES ('displayOnlyPublicPagesForTheUser', 'true', 'int', 'A');
CREATE TABLE `translation` (  `id` int(10) unsigned NOT NULL auto_increment,  `label` varchar(255) NOT NULL,  `message` text,  `lang` varchar(2) NOT NULL,  `status` enum('translation','selected','deleted') default 'translation',  `translation_status` enum('pending','checking','translated') default 'pending',`typefile` int(10) unsigned NOT NULL, `usage_label` int(10) unsigned NOT NULL, `modifier` enum('maintener','admin','user') default NULL, `last_updated` int(11) default NULL,PRIMARY KEY  (`id`),  UNIQUE KEY `un_label_lang_usage` (`label`,`lang`,`usage_label`),  KEY `idx_label` (`label`)) ENGINE=MyISAM DEFAULT CHARSET=utf8;
CREATE TABLE `app_contact` (  `dest_id` int(10) unsigned NOT NULL auto_increment,  `user_id` int(11) NOT NULL,  `email` varchar(255) collate utf8_unicode_ci NOT NULL,   `texte` text collate utf8_unicode_ci,   `modifdate` datetime default NULL,    `name` varchar(255) collate utf8_unicode_ci default NULL,    `titre` varchar(255) collate utf8_unicode_ci default NULL,  `statut` varchar(255) collate utf8_unicode_ci default NULL, PRIMARY KEY  (`dest_id`)) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
UPDATE `adm_config` SET datatype='int' WHERE parameter='useRssDelete';
UPDATE `adm_config` SET datatype='int' WHERE parameter='displayrsssource';
INSERT INTO `adm_config` ( `parameter` , `value` , `datatype` , `desttype` ) VALUES ('showTabOptions', 'true', 'int', 'J');
INSERT INTO `adm_config` ( `parameter` , `value` , `datatype` , `desttype` ) VALUES ('moveWidgetsInTabs', 'true', 'int', 'J');
INSERT INTO `adm_mail`(libelle,lang,subject,message) VALUES ( "emailConfirmation", "fr", "Confirmation de votre inscription sur %site", "Bonjour,\r\n\r\nNous avons bien enregistré vos paramètres personnels mais votre compte n'est pas encore activé.\r\nPour valider votre compte, veuillez cliquer sur le lien suivant : %linkportal/login.php?id=%id&chk=%key\r\n\r\nMerci et à bientôt sur %site.\r\n%link\r\n\r\n%unsuscribe");
INSERT INTO `adm_mail`(libelle,lang,subject,message) VALUES ( "emailConfirmation", "en", "Confirmation of your subscription on %site", "Hello,\r\n\r\nWe have take in account your personal parameters but your account is not yet validated.\r\nTo validate your account, please click on the following link : %linkportal/login.php?id=%id&chk=%key\r\n\r\nSee you soon on %site.\r\n%link\r\n\r\n%unsuscribe");
-- > 2.0.3;
UPDATE adm_headlinks SET images='' WHERE uniq_id = 'link_menu';
CREATE TABLE `users_control` (`login` varchar(60) NOT NULL, `ip` varchar(11) collate utf8_unicode_ci NOT NULL, `date` datetime NOT NULL, `number_of_try` tinyint NOT NULL DEFAULT 0, PRIMARY KEY  (`login`,`ip`,`date`));
INSERT INTO adm_config ( `parameter` , `value` , `datatype` , `desttype` ) VALUES ('numberOfTry',0,'int','P');
INSERT INTO adm_config ( `parameter` , `value` , `datatype` , `desttype` ) VALUES ('connectionDateRange',3600,'int','P');
INSERT INTO adm_config ( `parameter` , `value` , `datatype` , `desttype` ) VALUES ('captcha','false','int','A');
CREATE TABLE `captcha_codes` (`id` varchar(60) NOT NULL, `code` varchar(11) collate utf8_unicode_ci NOT NULL, PRIMARY KEY  (`id`));
-- > 2.0.4;
INSERT INTO `adm_mail`(libelle,lang,subject,message) VALUES ( "getNewPassword", "fr","Obtenir un nouveau mot de passe sur %site", "Bonjour,\r\n\r\nSuite à votre demande, nous vous envoyons ce lien pour réinitialiser votre mot de passe.\r\n%setnewpwd\r\n\r\nCordialement\r\n%link\n%site\r\n\r\n%unsuscribe");
INSERT INTO `adm_mail`(libelle,lang,subject,message) VALUES ( "getNewPassword", "en","Get a new password on %site", "Hello,\r\n\r\nFollowing your request\r\n\r\nWe send you this link to change your password.\r\n\r\n%setnewpwd\r\n\r\nBest regards\n%link\r\n%site\r\n\r\n%unsuscribe");
INSERT INTO `adm_mail`(libelle,lang,subject,message) VALUES ( "getNewPassword", "de","Get a new password on %site", "Hello,\r\n\r\nFollowing your request\r\n\r\nWe send you this link to change your password.\r\n\r\n%setnewpwd\r\n\r\nBest regards\n%link\r\n%site\r\n\r\n%unsuscribe");
INSERT INTO `adm_mail`(libelle,lang,subject,message) VALUES ( "getNewPassword", "es","Get a new password on %site", "Hello,\r\n\r\nFollowing your request\r\n\r\nWe send you this link to change your password.\r\n\r\n%setnewpwd\r\n\r\nBest regards\n%link\r\n%site\r\n\r\n%unsuscribe");
INSERT INTO `adm_mail`(libelle,lang,subject,message) VALUES ( "getNewPassword", "it","Get a new password on %site", "Hello,\r\n\r\nFollowing your request\r\n\r\nWe send you this link to change your password.\r\n\r\n%setnewpwd\r\n\r\nBest regards\n%link\r\n%site\r\n\r\n%unsuscribe");
INSERT INTO `adm_config` VALUES ('MD5KEY', '', 'str', 'A');
ALTER TABLE module CHANGE variables variables TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL;
INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('SESSION','myhomepage','str','P');
UPDATE adm_config SET desttype='P' WHERE parameter='MD5KEY';

-- > 2.0.5;

INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('tabsCanBeRenamed','true','int','J');
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype` ) VALUES ('widgetTitleUpdatable', 'true', 'int', 'J');
UPDATE `adm_config` SET value='false' WHERE parameter='showicon';

-- > 2.1.0a1;

DELETE FROM adm_config WHERE parameter='MD5KEY';
ALTER TABLE `adm_config` ADD `category` VARCHAR( 20 );
UPDATE adm_config SET category = 'yourApplication' WHERE parameter IN ('APPNAME','IPADD','LOCALFOLDER','USERMODULE');
UPDATE adm_config SET category = 'dbConnection' WHERE parameter IN ('server','login','db','useproxy','proxyserver','proxyport','proxypacfile');
UPDATE adm_config SET category = 'adminInterface' WHERE parameter IN ('usegroup');
UPDATE adm_config SET category = 'thePortals' WHERE parameter IN ('loadlatestpageonstart','defaultmode','menuDefaultStatus','accounttype','menuposition','moduleAlignDefault','maxPageNb','showHomeBar','blockedModulePreventPageRemoval','addPagePermission','footer','useconditions','passwordChangePermission','debugmode','numberOfTry','userChangePermission','captcha','connectionDateRange');
UPDATE adm_config SET category = 'theFeeds' WHERE parameter IN ('displayrssdesc','displayrsssource','displayrssimages');
UPDATE adm_config SET category = 'theModules' WHERE parameter IN ('showicon','useoverview','maxModNb','txtnote','rssrefreshdelay','displayAllLanguageModules','showModuleClose','showModuleRefresh','showModuleConfigure','showModuleMinimize','showModuleTitle');
UPDATE adm_config SET category = 'emailSending' WHERE parameter IN ('supportemail','notificationemail','friendemail');
UPDATE adm_config SET desttype='A' WHERE parameter='NOTIFICATIONEMAIL';
UPDATE adm_config SET desttype='A' WHERE parameter='APPNAME';
UPDATE adm_config SET desttype='A' WHERE parameter='defaultmode';
CREATE TABLE `adm_group_map` (`user_id` INT( 3 ) NOT NULL ,`group_id` INT( 3 ) NOT NULL ,INDEX ( `user_id` , `group_id` ), UNIQUE KEY `users_group`(`user_id`,`group_id`)) ENGINE = MYISAM DEFAULT CHARSET=utf8;
ALTER TABLE `users` ADD `statdate` DATE NOT NULL AFTER `stat` ;
ALTER TABLE `module` ADD `shared` VARCHAR( 16 ) ;
ALTER TABLE `profile` ADD `shared` VARCHAR( 16 ) NOT NULL ;
UPDATE `adm_config` SET `desttype` = 'A' WHERE CONVERT( `parameter` USING utf8 ) = 'usereader' LIMIT 1 ;
UPDATE adm_headlinks SET fct="$p.network.myprofile()" WHERE fct="p_network.myprofile()";
UPDATE adm_headlinks SET comment='Search' WHERE comment='search';
INSERT INTO adm_config (parameter,value,datatype,desttype) VALUES ('displayRssDate','true','int','J');
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype` ) VALUES ('useNetwork', 'false', 'int', 'J');
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype` ) VALUES ('useNotebook', 'false', 'int', 'J');
ALTER TABLE `adm_headlinks` ADD `position` VARCHAR( 10 ) DEFAULT 'right' NOT NULL ;
UPDATE adm_headlinks SET seq=38,position='left' WHERE uniq_id='lab_sep3';
UPDATE adm_headlinks SET label="menu",comment="menu",seq=40,position="left",clss='' WHERE uniq_id="link_menu";
INSERT INTO `adm_headlinks` ( `id` , `uniq_id` , `type` , `label` , `comment` , `clss` , `images` , `fct` , `status` , `seq` , `anonymous` , `connected` , `admin` , `position` ) VALUES ('0', 'link_widgets', 'link', 'lblAddContent', 'lblAddContent', '', 'ico_menu_add.gif', '$p.app.menu.widget.open()', 'O', '9', '1', '1', '0', 'left'), ('0', 'lab_sep10', 'label', '|', '', '', '', '', 'O', '10', '1', '1', '0', 'left');
CREATE TABLE `dir_item_external` (`item_id` int(10) unsigned NOT NULL,`source` text collate utf8_unicode_ci NOT NULL, `xmlmodule` text collate utf8_unicode_ci NOT NULL,  `url` varchar(255) collate utf8_unicode_ci NOT NULL,  `last_updated` datetime NOT NULL,  `status` enum('quarantine','validated','deleted') collate utf8_unicode_ci NOT NULL,  KEY `item_id` (`item_id`) ) DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `dir_item_external_language` (`item_id` int(10) NOT NULL,`lang` varchar(3) collate utf8_unicode_ci NOT NULL,   `url` varchar(255) collate utf8_unicode_ci NOT NULL,`source` text collate utf8_unicode_ci NOT NULL,`last_updated` datetime NOT NULL,   KEY `item_id` (`item_id`,`lang`) ) DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype` ) VALUES ('uploadMaxFileSize', '30000000', 'int', 'P');
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype` ) VALUES ('uploadAllowedExtensions', '.pdf,.doc,.txt,.jpg,.png,.bmp,.gif,.xls,.ppt,.pps,.odt,.rtf', 'str', 'P');
UPDATE `adm_tabs` SET type=5;
-- INSERT INTO `adm_tabs` VALUES (6, 'supporttab', 'Support', 5, 'admin/support.php');
-- INSERT INTO `adm_tabs_fct` ( `tabname` , `fctname` , `label` , `link` , `description` ) VALUES ('supporttab', 'support', 'supportMgmt', 'admin/support_main.php', 'supportMgmtTxt');
-- INSERT INTO `adm_tabs_fct` ( `tabname` , `fctname` , `label` , `link` , `description` ) VALUES ('statstab', 'modulestats', 'moduleStats', 'admin/stats_modules.php', 'moduleStatsTxt');
ALTER TABLE `pages` ADD `removable` TINYINT( 1 ) UNSIGNED NOT NULL default '1';
ALTER TABLE `profile` ADD `removable` TINYINT( 1 ) UNSIGNED NOT NULL default '1';
UPDATE `pages` SET removable='1' WHERE id=1;
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype` ) VALUES ('restrictOnExistingTags', 'false', 'int', 'J');
ALTER TABLE dir_item ADD COLUMN views VARCHAR(255);
ALTER TABLE temp_dir_item ADD COLUMN views VARCHAR(255);
ALTER TABLE dir_item_external ADD COLUMN view VARCHAR(255);
ALTER TABLE dir_item_external ADD UNIQUE un_item_view(item_id,view);
CREATE TABLE `temp_dir_item_external` (`item_id` int(10) unsigned NOT NULL, `source` text collate utf8_unicode_ci NOT NULL, `xmlmodule` text collate utf8_unicode_ci NOT NULL, `url` varchar(255) collate utf8_unicode_ci NOT NULL, `last_updated` datetime NOT NULL, `status` enum('quarantine','validated','deleted') collate utf8_unicode_ci NOT NULL, `view` varchar(255) collate utf8_unicode_ci default NULL, UNIQUE KEY `un_item_view` (`item_id`,`view`), KEY `item_id` (`item_id`)) DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
ALTER TABLE `module` ADD COLUMN currentview VARCHAR(255);
UPDATE adm_headlinks SET seq=seq+1 WHERE seq>2;
INSERT INTO `adm_headlinks` ( `id` , `uniq_id` , `type` , `label` , `comment` , `clss` , `images` , `fct` , `status` , `seq` , `anonymous` , `connected` , `admin` , `position` ) VALUES ('20', 'span_availability', 'label', '', '', '', '', '', 'O', '3', '0', '1', '0', 'right');
ALTER TABLE `dir_rss` ADD `iconid` VARCHAR( 100 ) NOT NULL;
UPDATE `adm_mail` SET `message` = "Bonjour,\r\n\r\nFélicitation pour la création de votre compte.\r\nVoici vos informations personnelles de connection :\r\nemail: %email\r\nPassword: %password\r\n\r\nCes paramètres vous donneront accès à votre compte.\r\n\r\nCordialement\r\n%site\r\n%link\r\n\r\n%unsubscribe" WHERE `id` = 1;
UPDATE `adm_mail` SET `message` = "Hello,\r\n\r\nCongratulations for creating your brand new account. \r\nHere is your personal connection information :\r\nemail: %email\r\nPassword: %password\r\n\r\nThese parameters will give you access to your account.\r\n\r\nBest regards\r\n%site\r\n%link\r\n\r\n%unsubscribe" WHERE `id` = 2;
UPDATE `adm_mail` SET `message` = 'Bonjour,\r\n\r\nFélicitation, votre widget "%description" a été validé par un administrateur.\r\nVous pouvez l''utiliser dès à présent dans votre portail.\r\n\r\nCordialement\r\n%site\r\n%link\r\n\r\n%unsubscribe' WHERE `id` = 3;
UPDATE `adm_mail` SET `message` = "Hello,\r\n\r\nCongratulations, your widget %description has been validated by an administrator. \r\nFrom now on, you can use it in your portal.\r\n\r\nSee you soon,\r\n%site\r\n%link\r\n\r\n%unsubscribe" WHERE `id` = 4;
UPDATE `adm_mail` SET `message` = "Bonjour,\r\n\r\nSuite à votre demande, nous avons réinitialisé votre mot de passe. \r\n\r\nVoici vos identifiants:\r\nmail : %email\r\npassword : %password\r\n\r\nCordialement,\r\n%site\r\n%link\r\n\r\n\r\n%unsubscribe" WHERE `id` = 5;
UPDATE `adm_mail` SET `message` = "Hello,\r\n\r\nYour password has been reset as requested. Here is your new account informations :\r\n\r\nemail:%email\r\npassword:%password\r\n\r\nSee you soon,\r\n%site\r\n%link\r\n\r\n%unsubscribe" WHERE `id` = 6;
UPDATE `adm_mail` SET `message` = "Bonjour,\r\n\r\nNous avons bien enregistré vos paramètres personnels mais votre compte n'est pas encore activé.\r\nPour valider votre compte, veuillez cliquer sur le lien suivant : %linkportal/login.php?id=%id&chk=%key\r\n\r\nMerci et à bientôt sur %site.\r\n%link\r\n\r\n%unsubscribe" WHERE `id` = 8;
UPDATE `adm_mail` SET `message` = "Hello,\r\n\r\nWe have take in account your personal parameters but your account is not yet validated.\r\nTo validate your account, please click on the following link : %linkportal/login.php?id=%id&chk=%key\r\n\r\nSee you soon on %site.\r\n%link\r\n\r\n%unsubscribe" WHERE `id` = 9;
UPDATE `adm_mail` SET `message` = "Bonjour,\r\n\r\nSuite à votre demande, nous vous envoyons ce lien pour réinitialiser votre mot de passe.\r\n%setnewpwd\r\n\r\nCordialement\r\n%link\n%site\r\n\r\n%unsubscribe" WHERE `id` = 10;
UPDATE `adm_mail` SET `message` = "Hello,\r\n\r\nFollowing your request\r\n\r\nWe send you this link to change your password.\r\n\r\n%setnewpwd\r\n\r\nBest regards\n%link\r\n%site\r\n\r\n%unsubscribe" WHERE `id` = 11;
UPDATE `adm_mail` SET `message` = "Hello,\r\n\r\nFollowing your request\r\n\r\nWe send you this link to change your password.\r\n\r\n%setnewpwd\r\n\r\nBest regards\n%link\r\n%site\r\n\r\n%unsubscribe" WHERE `id` = 12;
UPDATE `adm_mail` SET `message` = "Hello,\r\n\r\nFollowing your request\r\n\r\nWe send you this link to change your password.\r\n\r\n%setnewpwd\r\n\r\nBest regards\n%link\r\n%site\r\n\r\n%unsubscribe" WHERE `id` = 13;
UPDATE `adm_mail` SET `message` = "Hello,\r\n\r\nFollowing your request\r\n\r\nWe send you this link to change your password.\r\n\r\n%setnewpwd\r\n\r\nBest regards\n%link\r\n%site\r\n\r\n%unsubscribe" WHERE `id` = 14;
DELETE FROM `adm_config` WHERE parameter='apname';
ALTER TABLE `dir_item` ADD `icon` VARCHAR( 255 ) NOT NULL;
ALTER TABLE temp_dir_item_external ADD COLUMN type CHAR(1);
ALTER TABLE dir_item_external ADD COLUMN type CHAR(1);
ALTER TABLE dir_item_external_language ADD COLUMN viewtype VARCHAR(255) after source;
ALTER TABLE `dir_item_external_language` DROP INDEX item_id;
ALTER TABLE dir_item_external_language ADD UNIQUE item_id(item_id,lang,viewtype);
CREATE TABLE `temp_dir_item_external_language` ( `item_id` int(10) NOT NULL,  `lang` varchar(3) collate utf8_unicode_ci NOT NULL,  `url` varchar(255) collate utf8_unicode_ci NOT NULL,  `source` text collate utf8_unicode_ci NOT NULL,  `viewtype` varchar(255) collate utf8_unicode_ci default NULL,  `view` varchar(255) collate utf8_unicode_ci NOT NULL,  `last_updated` datetime NOT NULL,  UNIQUE KEY `item_id` (`item_id`,`lang`,`viewtype`) ) DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
ALTER TABLE `dir_item`  ADD COLUMN l10n varchar(255);
ALTER TABLE `temp_dir_item`  ADD COLUMN l10n varchar(255);
UPDATE `adm_config` SET desttype='A' WHERE parameter='debugmode';
ALTER TABLE `temp_dir_item_external` CHANGE `item_id` `item_id` INT( 10 ) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE temp_dir_item ADD COLUMN id_dir_item mediumint(9);
ALTER TABLE temp_dir_item_external ADD COLUMN id_dir_item mediumint(9);
UPDATE `dir_item` SET `views` = 'home,canvas' WHERE `id` =112;
-- > 2.1.0rc;
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype` ) VALUES ('useRating', 'false', 'int', 'J');
ALTER TABLE `feed_articles_read` ADD COLUMN `article_rating` int(1) default NULL;
ALTER TABLE `feed_articles_read` ADD COLUMN `rating_timestamp` int(11) default NULL;
ALTER TABLE `dir_item_external_language` ADD COLUMN `view` VARCHAR( 255 ) NOT NULL AFTER `viewtype`;
ALTER TABLE `dir_item_external_language` DROP INDEX `item_id`;
ALTER TABLE `dir_item_external_language` ADD UNIQUE `item_id` ( `item_id` , `lang` , `view` );
ALTER TABLE `temp_dir_item_external_language` DROP INDEX `item_id`;
ALTER TABLE `temp_dir_item_external_language`  ADD UNIQUE `item_id` ( `item_id` , `lang` , `view` );
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype` ) VALUES ('allowGetWidgetOnMySite', 'true', 'int', 'J');
DELETE FROM `adm_headlinks` WHERE uniq_id='lab_hello';
ALTER TABLE `dir_item_external_language` MODIFY COLUMN lang VARCHAR(6);
INSERT INTO `adm_config` (`parameter` ,`value` ,`datatype` ,`desttype` ) VALUES ('inactiveAccountsDelay', '90', 'int', 'P');
ALTER TABLE `dir_item_external_language` TYPE = MYISAM;
ALTER TABLE users MODIFY lang VARCHAR(5) NOT NULL DEFAULT 'en';
ALTER TABLE temp_dir_item_external_language MODIFY COLUMN  lang VARCHAR(6);
ALTER TABLE temp_dir_item_external_language ADD COLUMN params TEXT AFTER source;
ALTER TABLE dir_item_external_language ADD COLUMN params TEXT AFTER source;
ALTER TABLE `users_mail` CHANGE `pass` `pass` BLOB DEFAULT NULL;
ALTER TABLE `temp_dir_item` CHANGE `name` `name` VARCHAR( 75 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL ,CHANGE `lang` `lang` VARCHAR( 5 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT 'en' NOT NULL;
ALTER TABLE `dir_item` CHANGE `name` `name` VARCHAR( 75 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL ,CHANGE `lang` `lang` VARCHAR( 5 ) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT 'en' NOT NULL;
ALTER TABLE translation MODIFY COLUMN lang VARCHAR(5) NOT NULL;
ALTER TABLE adm_mail MODIFY COLUMN lang VARCHAR(5) NOT NULL DEFAULT '';
ALTER TABLE profile MODIFY COLUMN lang VARCHAR(5) NOT NULL DEFAULT 'en';
-- > 2.1.0;
ALTER TABLE `dir_category` ADD `secured_quantity` SMALLINT UNSIGNED DEFAULT '0' NOT NULL ;
ALTER TABLE `temp_category` ADD `secured` TINYINT UNSIGNED DEFAULT '0' NOT NULL ;
ALTER TABLE dir_item MODIFY COLUMN defvar TEXT;
ALTER TABLE temp_dir_item MODIFY COLUMN defvar TEXT;
-- > 2.1.1;
UPDATE adm_config SET value='"en","fr","de"' WHERE parameter="AVLANGS";
INSERT INTO dir_category (name,parent_id,typ,path,quantity,updated,lang) VALUES('Widgets -de',0,'O','',1,'Y','de');
ALTER TABLE `dir_rss` ADD `http_last_modified` VARCHAR( 50 ) NOT NULL AFTER `lastloadedtime` ;
-------------------------------------------
-- Update des tables specifiques a Portaneo
-- > 1.5.4;

ALTER TABLE `dir_item_shared` CHANGE `vars` `vars` VARCHAR( 250 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `network` CHANGE `description` `description` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `notebook_article` CHANGE `description` `description` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci,CHANGE `keywords` `keywords` VARCHAR( 250 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci,CHANGE `icon` `icon` VARCHAR( 100 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci ;

-- > 2.0.0;

ALTER TABLE `portals` ADD `type` CHAR( 1 ) DEFAULT '1' NOT NULL ,ADD `param` VARCHAR( 150 ) NOT NULL ;
CREATE TABLE notebook_groups(id int not null primary key auto_increment,name varchar(100) ,created_by int(10) unsigned,creation_date date,private tinyint(1),status char(1)  default '1');
CREATE TABLE notebook_groups_users_map(user_id int(10) unsigned,group_id int(10) unsigned,status char(1)  default 'I');
CREATE TABLE notebook_groups_articles_map(group_id int(10) unsigned,article_id int(10) unsigned,status char(1) default 'O', owner_id int(10) unsigned, user_id int(10) unsigned, is_copy int(10) unsigned);
DELETE FROM adm_headlinks WHERE label IN ('myportaneo','home','myNetwork','lblArchive','search','myNotebook');
UPDATE adm_headlinks SET seq=seq+2 WHERE seq>6;
INSERT INTO adm_headlinks (id,uniq_id,type,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (12,'link_home','link','home','home','','','p_app.openHome()','O',7,0,1,0);
INSERT INTO adm_headlinks (id,uniq_id,type,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (13,'lab_sep5','label','|','','','','','O',8,0,1,0);
UPDATE adm_headlinks SET seq=seq+4 WHERE seq>10;
INSERT INTO adm_headlinks (id,uniq_id,type,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (14,'link_notebook','link','myNotebook','myNotebook','','ico_notebook.gif','$p.notebook.open()','O',11,0,1,0);
INSERT INTO adm_headlinks (id,uniq_id,type,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (15,'lab_sep6','label','|','','','','','O',12,0,1,0);
INSERT INTO adm_headlinks (id,uniq_id,type,label,comment,clss,images,fct,status,seq,anonymous,connected,admin) VALUES (16,'form_search','form','','search','','ico_search.gif','$p.search.shown=false;$p.search.start(indef,this.text.value);','O',13,0,1,0);
UPDATE `adm_headlinks` SET `connected` = '1' WHERE `id` =8 AND CONVERT( `label` USING utf8 ) = '|' AND `anonymous` =1 AND `connected` =0 AND `admin` =0 LIMIT 1 ;
UPDATE adm_config SET value='3' WHERE parameter='loadlatestpageonstart';
UPDATE adm_config SET value='true' WHERE parameter='useChat';
CREATE TABLE `network_chat` (`id` int(10) unsigned NOT NULL auto_increment,`owner_id` int(10) unsigned NOT NULL default '0',`callee_id` int(10) unsigned NOT NULL default '0',`status` char(1) collate utf8_unicode_ci NOT NULL default 'N',`title` varchar(32) collate utf8_unicode_ci default NULL,`pubdate` date NOT NULL default '0000-00-00',PRIMARY KEY  (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `users_notification` (`user_id` INT UNSIGNED NOT NULL ,`notification_id` INT UNSIGNED NOT NULL ,`type` CHAR( 1 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT 'X' NOT NULL ,INDEX ( `user_id` ) ) CHARACTER SET utf8 COLLATE utf8_unicode_ci;
CREATE TABLE `network_chat_message` (`id` int(10) unsigned NOT NULL auto_increment,`chat_id` int(10) unsigned NOT NULL default '0',`send_id` int(10) unsigned NOT NULL default '0',`dest_id` int(10) unsigned NOT NULL default '0',`message` text collate utf8_unicode_ci,`status` char(1) collate utf8_unicode_ci NOT NULL default 'N',PRIMARY KEY  (`id`),KEY `index_chatid` (`chat_id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
UPDATE adm_config SET value='{"col":1,"row":1,"fct":"$p.network.information.summary","anonymous":false,"connected":true},{"col":2,"row":1,"fct":"$p.app.pages.summary","anonymous":false,"connected":true},{"col":2,"row":2,"fct":"$p.notebook.summary","anonymous":false,"connected":true}' WHERE parameter='homeDivs';

-- > 2.0.3;

UPDATE adm_headlinks SET images='' WHERE uniq_id = 'link_notebook';

-- > 2.1.0a1;

INSERT INTO `adm_config` ( `parameter` , `value` , `datatype` , `desttype` , `category` ) VALUES ('networkIsPublic', 'true', 'int', 'A', 'collaboration');
UPDATE adm_headlinks SET fct = '$p.app.openHome()',images='' WHERE uniq_id='link_home';
UPDATE adm_headlinks SET fct = '$p.notebook.open()' WHERE uniq_id='link_notebook';
UPDATE adm_headlinks SET fct = '$p.search.shown=false;$p.search.start(indef,this.text.value);' WHERE uniq_id='form_search';
UPDATE `adm_config` SET `parameter` = 'option', `value` = '{"fct":"$p.friends.menu(4,tab[$p.app.tabs.sel].id)","label":lg("lblShare"),"img":"ico_menu_share.gif","comment":lg("lblShare"),"anonymous":false,"connected":true}', `datatype` = 'arr', `desttype` = 'J' WHERE  CONVERT(`parameter` USING utf8) = 'option';
UPDATE adm_config SET value='{"col":1,"row":1,"fct":"$p.network.information.summary","anonymous":false,"connected":true},{"col":2,"row":1,"fct":"$p.app.pages.summary","anonymous":false,"connected":true},{"col":2,"row":2,"fct":"$p.notebook.summary","anonymous":false,"connected":true}' WHERE parameter='homeDivs';
ALTER TABLE `notebook_groups_users_map` ADD INDEX `ind_notebookgroupsusermap` ( `user_id` ,`group_id` );
UPDATE adm_config SET value='true' WHERE parameter='useNetwork';
UPDATE adm_config SET value='true' WHERE parameter='useNotebook';
UPDATE adm_headlinks SET position='left' WHERE uniq_id='link_home';
UPDATE adm_headlinks SET position='left' WHERE uniq_id='lab_sep5';
UPDATE adm_headlinks SET position='left' WHERE uniq_id='link_notebook';
DELETE FROM adm_headlinks WHERE uniq_id='lab_sep6';
INSERT INTO `adm_headlinks` (`id`, `uniq_id`, `type`, `label`, `comment`, `clss`, `images`, `fct`, `status`, `seq`, `anonymous`, `connected`, `admin`, `position`) VALUES (17, 'lab_sep6', 'label', '|', '', '', '', '', 'O', 15, 0, 1, 0, 'left');
INSERT INTO `adm_headlinks` ( `id` , `uniq_id` , `type` , `label` , `comment` , `clss` , `images` , `fct` , `status` , `seq` , `anonymous` , `connected` , `admin` , `position` ) VALUES ('0', 'link_network', 'link', 'myNetwork', 'myNetwork', '', '', '$p.network.dashboard.myNetwork()', 'O', '15', '0', '1', '0', 'left'), ('0', 'lab_sep13', 'label', '|', '', '', '', '', 'O', '16', '0', '1', '0', 'left');
INSERT INTO `adm_headlinks` ( `id` , `uniq_id` , `type` , `label` , `comment` , `clss` , `images` , `fct` , `status` , `seq` , `anonymous` , `connected` , `admin` , `position` ) VALUES ('0', 'link_group', 'link', 'myGroups', 'myGroups', '', '', '$p.group.buildPage()', 'O', '20', '0', '1', '0', 'left');
CREATE TABLE `documents` (`id` INT NOT NULL AUTO_INCREMENT ,`title` VARCHAR( 255 ) NOT NULL ,`link` VARCHAR( 255 ) NOT NULL ,`version` SMALLINT NOT NULL ,`creation_date` DATE NOT NULL ,`modif_date` DATE NOT NULL ,`size` INT NOT NULL ,PRIMARY KEY ( `id` ) );
CREATE TABLE `notebook_article_document_map` (`article_id` INT NOT NULL ,`document_id` INT NOT NULL ,INDEX ( `article_id` ) );
ALTER TABLE `notebook_groups` ADD `picture` VARCHAR( 255 ) NOT NULL AFTER `name` ;
ALTER TABLE `notebook_groups` ADD `description` TEXT NOT NULL AFTER `private` ;
INSERT INTO adm_userinfo (label,type,options,mandatory,editable,public) VALUES ('Job',1,'',0,1,1),('Country',2,'China;France;Germany;Italy;Japan;Marroco;Spain;UK;US',1,1,1);


UPDATE adm_config SET value='{"col":1,"row":1,"fct":"$p.network.information.summary","anonymous":false,"connected":true},{"col":2,"row":1,"fct":"$p.network.alert.summary","anonymous":false,"connected":true},{"col":2,"row":2,"fct":"$p.app.pages.summary","anonymous":false,"connected":true}' WHERE parameter='homeDivs';
CREATE TABLE `network_alerts` (`id` INT NOT NULL auto_increment,`user_id` INT NOT NULL ,`type` TINYINT NOT NULL ,`referer_id` INT NOT NULL , `referer_name` VARCHAR(100) collate utf8_unicode_ci NOT NULL default '' ,PRIMARY KEY ( `id` ) );


UPDATE adm_config SET value='{"col":1,"row":1,"fct":"$p.network.information.summary","anonymous":false,"connected":true},{"col":2,"row":1,"fct":"$p.network.alert.summary","anonymous":false,"connected":true},{"col":2,"row":2,"fct":"$p.app.pages.summary","anonymous":false,"connected":true}' WHERE parameter='homeDivs';
