#-*-coding:utf-8-*-
"""
    Configuration de l'update de la base poshprofile
"""
from eolesql.config import dico_creole

DB = "poshprofile"
FILENAMES = ["/usr/share/eole/applications/updates/poshprofile_bug235/update_bug235.sql"]

def test_response(result=None):
    """
        Renvoie True si il faut mettre la base à jour
    """
    return dico_creole.get('posh', 'non') == 'oui'

conf_dict = dict(db=DB,
                 expected_response=test_response,
                 filenames=FILENAMES,
                 version='Mise à jour des profiles',
                 )
