<?php
$Piwik = false;
if(is_file("/var/www/html/piwik2/piwik.js")){
    $Piwik = true;
}
$folder="";
$not_access=0;
$isScript=false;
$isPortal=false;
$pagename="portal/desktop2.php";
//includes
require_once('includes.php');
if (is_dir('../l10n/')){
    //version copiée dans /posh/portal
    require_once('../l10n/'.__LANG.'/lang.php');
}else{
    //version dans includes/plugins/plugin_xdesktop
    require_once('../../../l10n/'.__LANG.'/lang.php');
}

// Debug de l'application
require_once('envolePHP/logger.php');
$log = new Logger('/var/log/posh/desktop.log');
define(__DEBUG, false);
function logDesktop($data){
    global $log;
    if (__DEBUG){
        $log->debug($data);
    }
}

global $DB;

// gestion du theme de xdesktop
$sql = "SELECT name FROM adm_themes ORDER BY seq";
$links = $DB->select(FETCH_OBJECT,$sql);
$vars = get_object_vars($links[0]);
$theme = $vars['name'];
if(empty($theme)){
    $theme = "default";
}
if (!is_dir("../includes/plugins/plugin_xdesktop/themes/".$theme)) {
    $theme = "default";
}

# Récupération des informations de bureau pour l'utilisateur courant
logDesktop("# Initialisation du client phpCAS #");
include_once('CAS-1.3.1/eoleCAS.php');
include_once('configCAS/cas.inc.php');
EolephpCAS::client(__CAS_VERSION,__CAS_SERVER,__CAS_PORT,__CAS_FOLDER,false);
if ( method_exists(EolephpCAS, 'setNoCasServerValidation') ) EolephpCAS::setNoCasServerValidation();
if ( method_exists(EolephpCAS, 'EoleLogoutRequests') ) EolephpCAS::EoleLogoutRequests(false);

logDesktop("  + Récuperation des infos utilisateurs");
EolephpCAS::forceAuthentication();
if (EolephpCAS::isAuthenticated()){
    $user = EolephpCAS::getUser();
    $details = EolephpCAS::getDetails();
    $user_datas = array('user'=>$user, 'details'=>$details);
    $err_message = "";
    logDesktop($user_datas);
}else{
    logDesktop("  - Vous n'êtes pas authentifié");
    $err_message = "Vous n'êtes pas authentifié";
}

# formatage en JSON pour le trans-language
$output = json_encode($user_datas);
if(isset($output)){
    $output = str_replace("'", "", $output); # Correction hasardeuse pour escaper les cotes

    $cmd = "/usr/share/xmlrpc-posh/client/client.py 'desktop' '$output'";
    logDesktop("  + Lancement de la commande : ". $cmd);
    $handle = popen("/usr/share/xmlrpc-posh/client/client.py 'desktop' '$output'",'r');
    while (!feof ($handle)) {
        $str = fgets($handle, 4096);
        $str = trim($str);
        if ((($str)!= '\n')&&(($str)!= '')){
            $ret_str .= $str;
        }
    }
    if (!isset($ret_str)){
        logDesktop("Votre profil n'a pas pu être récupéré, veuillez contacter votre administrateur");
        $err_message = "Votre profil n'a pas pu être récupéré, veuillez contacter votre administrateur";
    }else{
        logDesktop("Les items de bureau renvoyés : " . $ret_str);
    }
}
else{
    logDesktop("Les données d'authenfitication n'ont pas été fournies.");
    $err_message = "Les données d'authenfitication n'ont pas été fournies.";
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8" />
    <META http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
    <title>Bureau d'accès rapide à vos applications</title>
    <link rel="stylesheet" type="text/css" href="/posh/styles/main.css?v=<?php echo __POSHVERSION;?>" />
    <link type="text/css" rel="stylesheet" href="/posh/includes/plugins/plugin_xdesktop/themes/<?php echo $theme;?>/main.css" />
    <script type="text/javascript" src="/posh/portal/selections/waiting.js"></script>
    <script type="text/javascript" src="/posh/l10n/<?php echo __LANG;?>/lang.js?v=<?php echo __POSHVERSION;?>"></script>
    <script type="text/javascript" src="/posh/includes/config.js?v=<?php echo __rand;?>"></script>
    <script type="text/javascript" src="/posh/tools/mootools.js?v=1.2.1"></script>
    <script type="text/javascript" src="/posh/includes/ajax<?php if (!__debugmode) echo '_compressed';?>.js?v=<?php echo __POSHVERSION;?>"></script>
    <script type="text/javascript" src="/posh/includes/php/ajax-urls.js?v=<?php echo __POSHVERSION;?>"></script>
<?php
    $NO_AJAX = true;
    include_once("/var/www/html/posh/includes/plugins/plugin_xdesktop/inc_js.php");
?>

<?php if (IsIE()) { ?>
<link type='text/css' rel='stylesheet' href='/posh/includes/plugins/plugin_xdesktop/themes/<?php echo $theme;?>/theme-ie.css' />
<?php } ?>

</head>
<body>
<div id='desktoppage'>
    <div id="menuDiv">
        <h1 class="titreMenu"></h1>
        <div id='buttonList'></div>
    </div>
    <span id='containerDiv'>
    </span>
</div>
<script>
<?php
if ($Piwik){
    // On récupère les informations utilisateurs (rne, id posh, groupes)
    // et on les écrit dans les variables javascript
    global $DB,$authentif_getUserByName;
    $username = EolephpCAS::getUser();

    $DB->getResults($authentif_getUserByName,$DB->quote($username));
    if ($DB->nbResults()<=0)
    {
        $err_message .= lg("incorrectLogin");
    }else{
        $row=$DB->fetch(0);
        echo "$"."envole.user.userId = " . $row["id"] . ";"; echo "\n";
    echo "$"."envole.user.name = '" .  $username . "';"; echo "\n";
    }
    include_once("/var/www/html/posh/includes/plugins/plugin_xdesktop/inc_profil.php");
}


if ($err_message != ""){
    echo 'alert("' . $err_message . '");';
}else{

echo "$" . 'envole.xdesktop.userdata = "'. $ret_str . '"'; echo "\n";

?>

xhide('menuDiv');
$('containerDiv').style.width="100%";
$envole.xdesktop.setUrl("/posh/includes/plugins/plugin_xdesktop/index.php","","","");


<?php

    echo "$" . 'envole.xdesktop.catmin=0;'; echo "\n";
    echo "$" . 'envole.xdesktop.build("' . $ret_str . '");'; echo "\n";
    echo "$" . 'envole.xdesktop.portail = "' . $_SERVER["SERVER_NAME"] . '";';  echo "\n";
    echo "$" . 'envole.xdesktop.charte = ' . ((isEnabled()?hasValidated($user):true)?'true':'false') . ';'; echo "\n";
}
?>

<?//php if (!IsIE()) { ?>
<?php //} ?>
</script>

<?php
// appel à une page non https pour permettre de retrouver l'ip du client
if ($envoleAcaURL != "undefined"){
    echo "<iframe style='display:none; width:0px; height:0px;' id='ac-notification' src='http://" . $envoleAcaURL . "/dispatcher/myip.php'></iframe>";
}
?>
</body>
</html>

