-- Update systématique des éléments de la base posh
-- %%posh_url et %%posh_path sont fournis par le dico du paquet donc pas de teste du leur valeur
\r posh
-- ---------------------------------------
-- Les onglets posh-profile, ead2, bureau
UPDATE `profile` SET `param`='https://%%posh_url:7070/' WHERE `param` LIKE '%:7070%' AND `cacheurl`='metier';
%if (%%posh_url == %%adresse_ip_eth0) or (%%is_defined('scribe_envole_reverseproxy') and %%scribe_envole_reverseproxy == 'non') or (not %%is_defined('port_ead'))
-- Cas d'un accès local au scribe
UPDATE `profile` SET `param`='https://%%posh_url:4200/connect/?server=1' WHERE `name`='E.A.D' AND `cacheurl`='metier' AND `param` LIKE '%:%/connect/%';
%else
-- Cas 'idéal' : derrière un reverseproxy
UPDATE `profile` SET `param`='https://%%posh_url:%%port_ead/connect/?server=1' WHERE `name`='E.A.D' AND `cacheurl`='metier' AND `param` LIKE '%:%/connect/%';
%end if
UPDATE `profile` SET `param`='/posh/portal/desktop.php' WHERE `param` LIKE '/posh/%/plugin_desktop/desktop.php' AND `cacheurl`='metier';
-- -------------------------------
-- La configuration du plugin CAS
%if %%is_defined('cas_domainname') and %%is_defined('cas_port')
UPDATE `adm_config_cas` SET `value`='%%cas_domainname' WHERE `parameter`='CAS_SERVER';
UPDATE `adm_config_cas` SET `value`='%%cas_port' WHERE `parameter`='CAS_PORT';
%end if
UPDATE `adm_config_cas` SET `value`='%%posh_url/%%posh_path/portal' WHERE `parameter`='CAS_RETURN';
-- ---------------------------------------------------------------------------------------------------------------
-- --------- La table adm_config (permet de générer les fichiers de configuration) -------------------------------
-- L'adresse de l'application
UPDATE `adm_config` SET `value`='http://%%posh_url/%%posh_path/', `editable`='0' WHERE `parameter`='LOCALFOLDER' AND `category`='yourApplication';
UPDATE `adm_config` SET `value`='%%posh_url', `editable`='0' WHERE `parameter`='APPNAME' AND `category`='yourApplication';
-- -----------------------
-- La définition du proxy
%if %%is_defined('proxy') and %%proxy == 'oui'
UPDATE `adm_config` SET `value`='true', `editable`='0' WHERE `parameter`='useproxy' AND `category`='dbConnection';
UPDATE `adm_config` SET `value`='%%proxy_server', `editable`='0' WHERE `parameter`='PROXYSERVER' AND `category`='dbConnection';
UPDATE `adm_config` SET `value`='%%proxy_port', `editable`='0' WHERE `parameter`='PROXYPORT' AND `category`='dbConnection';
UPDATE `adm_config` SET `value`='../includes/proxy.pac', `editable`='0' WHERE `parameter`='proxypacfile' AND `category`='dbConnection';
%else
UPDATE `adm_config` SET `value`='false', `editable`='0' WHERE `parameter`='useproxy' AND `category`='dbConnection';
UPDATE `adm_config` SET `value`='', `editable`='0' WHERE `parameter`='PROXYSERVER' AND `category`='dbConnection';
UPDATE `adm_config` SET `value`='', `editable`='0' WHERE `parameter`='PROXYPORT' AND `category`='dbConnection';
UPDATE `adm_config` SET `value`='', `editable`='0' WHERE `parameter`='proxypacfile' AND `category`='dbConnection';
%end if
