#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2009
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# posh.py
#
# Configuration de base de données mysql de posh
#
###########################################################################
"""
    Config pour posh
"""
from os.path import isdir
from eolesql.config import dico_creole

POSH_TABLEFILENAMES = ["/etc/sysconfig/eole/scribe-posh.sql"]
def test():
    """
        test l'activation de Posh
        test l'existence de la table Posh
    """
    return (dico_creole.get('posh', 'non') == 'oui') and \
           (not isdir("/var/lib/mysql/posh"))

conf_dict = dict(filenames=POSH_TABLEFILENAMES,
                 test=test)

