#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2009
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# poshprofile.py
#
# Configuration de base de données mysql de poshprofile
#
###########################################################################
"""
    Config pour poshprofile
"""
from os.path import isdir
from eolesql.config import dico_creole
POSHPROFILE_TABLEFILENAMES = ["/etc/sysconfig/eole/scribe-poshprofile.sql"]
def test():
    """
        test l'existence de la table PoshProfile
    """
    return  (dico_creole.get('posh', 'non') == 'oui') and \
            (not isdir("/var/lib/mysql/poshprofile"))

conf_dict = dict(filenames=POSHPROFILE_TABLEFILENAMES,
                 test=test)
