\r posh
-- ---------------------------------------------------------------------------------
-- POSH : Update des entrées pour posh version publique
-- depuis le fichier posh/install/createdb_2_mysql.sql
-- ---------------------------------------------------------------------------------
-- > 2.1.2;
ALTER TABLE temp_dir_item MODIFY COLUMN website varchar(255) default NULL;
ALTER TABLE dir_item MODIFY COLUMN website varchar(255) default NULL;
ALTER TABLE `users` CHANGE `statdate` `statdate` DATE NULL DEFAULT NULL;
-- > 2.2.0b1;
UPDATE adm_headlinks SET seq = seq + 20 WHERE seq >= 10;
UPDATE `adm_headlinks` SET `seq` = '15', position='right' WHERE uniq_id='link_menu';
UPDATE `adm_headlinks` SET `seq` = '16', position='right' WHERE uniq_id='lab_sep10';
UPDATE `adm_headlinks` SET `seq` = '20', position='right' WHERE uniq_id='link_widgets';
UPDATE `adm_headlinks` SET `seq` = '29', position='right'  WHERE uniq_id='lab_sep3';
UPDATE adm_tabs SET label='communication' WHERE name='comtab';
ALTER TABLE `users` ADD creation_date DATE AFTER `typ` ;
ALTER TABLE `users` ADD expiration_date int AFTER `typ` ;
UPDATE adm_mail SET subject='Mot de passe mis à jour sur %site' WHERE id=5 AND lang='fr';
INSERT INTO `adm_tabs_fct` ( `tabname` , `fctname` , `label` , `link` , `description` ) VALUES ('configstab', 'DisplayTagPage', 'DisplayTagPage', 'admin/displaytagpage.php', 'displaytagpageDesc');
ALTER TABLE `dir_item` ADD `hidden` TINYINT DEFAULT '0' NOT NULL ;
-- > 2.2.0rc;
ALTER TABLE `pages` ADD `showwidgetbar` TINYINT DEFAULT '1' NOT NULL ;
ALTER TABLE `profile` ADD `showwidgetbar` TINYINT DEFAULT '1' NOT NULL ;
ALTER TABLE `pages` CHANGE `name` `name` VARCHAR( 100 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL;
ALTER TABLE `profile` CHANGE `name` `name` VARCHAR( 100 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL;
ALTER TABLE `users_notes` ADD `shared` VARCHAR( 33 ) NOT NULL ;
ALTER TABLE `users_calendar_id` ADD `shared` VARCHAR( 33 ) NOT NULL ;
ALTER TABLE `users_favorites_id` ADD `shared` VARCHAR( 33 ) NOT NULL ;
ALTER TABLE `users_tasks_id` ADD `shared` VARCHAR( 33 ) NOT NULL ;
ALTER TABLE `widget_addressbook_id` ADD `shared` VARCHAR( 33 ) NOT NULL ;
ALTER TABLE `module` CHANGE `shared` `shared` VARCHAR( 33 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL;
ALTER TABLE `adm_tabs_map` CHANGE `user_id` `user_id` INT( 3 ) NOT NULL DEFAULT '0';
-- > 2.2.0;
ALTER TABLE `users` ADD `firstname` VARCHAR( 64 ) ;
ALTER TABLE users_tasks_id ADD COLUMN tasklistname varchar(255);
ALTER TABLE `widget_addressbook_id` ADD COLUMN bookname VARCHAR(150);
ALTER TABLE `users_calendar_id` ADD COLUMN calendarname VARCHAR(150);
ALTER TABLE `users_favorites_id` ADD COLUMN favoritesname VARCHAR(150);
ALTER TABLE `adm_headlinks` CHANGE `fct` `fct` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL;
ALTER TABLE pages_module MODIFY COLUMN variables TEXT;
INSERT INTO `adm_config` VALUES ('WIDGET404', 'widget404.html', 'str', 'A','theModules');
ALTER TABLE users_notes ADD COLUMN date_updated INT unsigned;
-- ----------------------------------------------------------------------
-- PORTANEO : Mise à jour des tables de la version entreprise
-- depuis le fichier posh/install/createdb_5_pee_mysql.sql
-- ----------------------------------------------------------------------
ALTER TABLE `users` CHANGE `statdate` `statdate` DATE NULL DEFAULT NULL;
-- > 2.2.0;
DELETE FROM adm_headlinks WHERE uniq_id = 'link_notebook';
DELETE FROM adm_headlinks WHERE uniq_id = 'lab_sep6';
DELETE FROM adm_headlinks WHERE uniq_id = 'link_network';
DELETE FROM adm_headlinks WHERE uniq_id = 'lab_sep13';
DELETE FROM adm_headlinks WHERE uniq_id = 'link_group';
UPDATE `adm_headlinks` SET position='right' WHERE uniq_id='link_home';
UPDATE `adm_headlinks` SET position='right' WHERE uniq_id='lab_sep5';
ALTER TABLE `network` ADD `nbviews` MEDIUMINT UNSIGNED NOT NULL ;
ALTER TABLE `notebook_groups_users_map` ADD `nbviews` MEDIUMINT UNSIGNED NOT NULL ;
ALTER TABLE `network_alerts` ADD `status` ENUM( 'read', 'unread' ) DEFAULT 'unread' NOT NULL;
ALTER TABLE `network_alerts` ADD `dateread` INT UNSIGNED NOT NULL;
ALTER TABLE `notebook_groups` ADD `privatekey` VARCHAR( 64 ) NOT NULL ;
UPDATE notebook_groups SET privatekey = RIGHT(MD5(RAND()),32) WHERE privatekey = '';
CREATE TABLE `notebook_groups_widgets` (`group_id` INT UNSIGNED NOT NULL ,`widget_id` INT UNSIGNED NOT NULL ,`variables` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL ,INDEX ( `group_id` ) );
-- ---------------------------------------------------------------------
-- EOLE : changement specifique
-- ---------------------------------------------------------------------
-- Ajout du widget html dans la base de données
INSERT IGNORE INTO `dir_item` (`id`, `url`, `defvar`, `name`, `description`, `typ`, `status`, `format`, `height`, `minwidth`, `sizable`, `website`, `editor_id`, `nbvariables`, `creation_date`, `lastmodif_date`, `notation`, `voter_nb`, `updated`, `nbusers`, `sorting`, `lang`, `usereader`, `autorefresh`, `views`, `icon`, `l10n`, `hidden`) VALUES (402, '../modules/p_html.php?', NULL, 'widget HTML', '', 'P', 'O', 'M', 100, 280, '1', 'portaneo.com/', 1, 0, '2008-07-01', '2008-07-01', 0, 0, 'Y', 0, 0, 'fr', 0, 0, NULL, '', NULL, 0);
-- Update de la version pour les mises à jour
UPDATE `adm_config` SET value='2.2.0' WHERE parameter='POSHVERSION' ;
-- rendre l'utilisateur admin administrateur
UPDATE `users` SET `typ`='A' WHERE `username`='admin';
UPDATE `users` SET `long_name`='Administrateur' WHERE `username`='admin';
UPDATE `users` SET `long_name`='Administrateur Envole' WHERE `username`='poshadmin';
UPDATE `users` SET `username`='envoleadmin' WHERE `id`=1;
-- On recrée la table décrivant les onglets d'administration
DELETE FROM `adm_tabs`;
INSERT INTO `adm_tabs` (`id`, `name`, `label`, `type`, `param`) VALUES
(1, 'modulestab', 'Modules', 5, 'admin/modules.php'),
(2, 'userstab', 'Utilisateurs', 5, 'admin/users.php'),
(3, 'pagestab', 'Pages', 5, 'admin/pages.php'),
(4, 'configstab', 'Configuration', 5, 'admin/config.php'),
(6, 'statstab', 'Statistics', 5, 'admin/stats.php'),
(7, 'comtab', 'communication', 5, 'admin/communication.php'),
(5, 'applicationtab', 'applications', 5, 'admin/applications.php'),
(8, 'supporttab', 'Support', 5, 'admin/support.php');
-- On recrée la table décrivant les attributions users-onglets d'administration (pour l'utilisateur d'id 1 et admin)
DELETE FROM `adm_tabs_map`;
INSERT INTO `adm_tabs_map` (`user_id`, `tab_id`) VALUES
(1, 1),
(1, 2),
(1, 3),
(1, 4),
(1, 5),
(1, 6),
(1, 7),
(1, 8);
INSERT IGNORE INTO `adm_tabs_map` (`user_id`, `tab_id`) VALUES
((SELECT `id` from `users` where `username`='admin'), 1),
((SELECT `id` from `users` where `username`='admin'), 2),
((SELECT `id` from `users` where `username`='admin'), 3),
((SELECT `id` from `users` where `username`='admin'), 4),
((SELECT `id` from `users` where `username`='admin'), 5),
((SELECT `id` from `users` where `username`='admin'), 6),
((SELECT `id` from `users` where `username`='admin'), 7),
((SELECT `id` from `users` where `username`='admin'), 8);
-- On supprime le widget Email dont on ne veut pas
DELETE FROM `dir_item` WHERE `id`='350' AND `name`='Emails';
