\r posh
-- ---------------------------------------------------------------------------------------------------
-- Réécriture de certaines tables sql (pour avoir quelque chose de cohérent sur les versions stables)
-- Permet de garantir l'uniformité entre les tables fraichement générée et celle mise à jour
-- 1- La configuration
-- 2- Les catégories de widgets
-- 3- Les icones des widgets
-- 4- Caractéristiques des utilisateurs (on met à vide)
-- 5- Le menu du haut
-- ---------------------------------------------------------------------------------------------------
--
-- Table structure for table `adm_config`
--
DROP TABLE IF EXISTS `adm_config`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `adm_config` (
  `parameter` varchar(32) collate utf8_unicode_ci NOT NULL,
  `value` text collate utf8_unicode_ci NOT NULL,
  `datatype` char(3) character set utf8 NOT NULL default '',
  `desttype` char(1) character set utf8 NOT NULL default '',
  `category` varchar(20) collate utf8_unicode_ci default NULL,
  `editable` tinyint(1) unsigned NOT NULL default '1',
  PRIMARY KEY  (`parameter`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='application configuration parameters';
SET character_set_client = @saved_cs_client;
--
-- Dumping data for table `adm_config`
--
LOCK TABLES `adm_config` WRITE;
/*!40000 ALTER TABLE `adm_config` DISABLE KEYS */;
INSERT INTO `adm_config` VALUES ('theme','default','str','J',NULL,1),('themeNb','1','int','J',NULL,1),('maxModNb','15','int','J','theModules',1),('footer','','str','J','thePortals',1),('USERMODULE','I','str','P','yourApplication',0),('userModuleJs','I','str','J',NULL,0),('dimension','{\"seq\":\"0\",\"name\":\"Widgets\",\"id\":2,\"lg\":\"fr\"}','arr','J',NULL,0),('option','{\"fct\":\"$p.friends.menu(4,tab[$p.app.tabs.sel].id)\",\"label\":lg(\"lblShare\"),\"img\":\"ico_menu_share.gif\",\"comment\":lg(\"lblShare\"),\"anonymous\":false,\"connected\":true}','arr','J',NULL,1),('usereader','true','int','A',NULL,1),('showtabicon','true','int','J',NULL,1),('displayrssdesc','1','int','J','theFeeds',1),('bartype','0','int','A',NULL,1),('bartexthtml','','str','J',NULL,1),('accountType','mail','str','A','thePortals',0),('barclosing','false','int','J',NULL,1),('showModuleSearch','true','int','J',NULL,1),('rssrefreshdelay','60','int','J','theModules',1),('debugmode','false','int','A','thePortals',1),('useArchive','true','int','J',NULL,0),('rssinfo','','str','J',NULL,0),('useGroup','true','int','A','adminInterface',0),('useGSearch','false','int','J',NULL,0),('useList','false','int','J',NULL,0),('USEMAGIC','false','int','P',NULL,0),('SERVER','localhost','str','P','dbConnection',0),('LOGIN','posh','str','P','dbConnection',0),('PASS','posh','str','P',NULL,0),('DB','posh','str','P','dbConnection',0),('LOCALFOLDER','http://localhost/posh/','str','A','yourApplication',0),('SUPPORTEMAIL','','str','A','emailSending',0),('KEY','THnlBBjic3','str','P',NULL,0),('APPNAME','localhost','str','A','yourApplication',0),('AVLANGS','\"fr\",\"en\",\"de\",\"es\"','arr','A',NULL,1),('FRIENDEMAIL','','str','P','emailSending',0),('useSharing','true','int','J',NULL,0),('useNotation','false','int','J',NULL,0),('useContact','true','int','J',NULL,0),('headlinks','{\"fct\":\"openHelp()\",\"label\":lg(\"lblHelp\"),\"img\":\"-\",\"comment\":lg(\"lblFirstUsage\"),\"anonymous\":true,\"connected\":false},{\"fct\":\"showSave()\",\"label\":\"<B>\"+lg(\"lblSave\")+\"</B>\",\"img\":\"ico_menu_disk.gif\",\"comment\":lg(\"lblSavePage\"),\"anonymous\":true,\"connected\":false}','arr','J',NULL,0),('columnchange','true','int','J',NULL,0),('ctrlhiding','true','int','J',NULL,0),('doubleprotection','true','int','J',NULL,0),('alloweditmenu','true','int','J',NULL,0),('allowaddmenu','true','int','J',NULL,0),('showrsscell','true','int','J',NULL,0),('useNewsletter','false','int','J',NULL,0),('useConditions','false','int','J','thePortals',0),('conditionComment','','str','J',NULL,0),('nbicons','80','int','J',NULL,0),('ARCHIVE','true','int','P',NULL,0),('barcolnb','7','int','J',NULL,0),('POSHVERSION','2.2.3','str','A',NULL,0),('showHomeBar','0','int','J','thePortals',1),('txtnote','Éditez votre texte.','str','J','theModules',1),('menuposition','v','str','J','thePortals',0),('defaultmode','connected','str','A','thePortals',0),('showicon','false','int','J','theModules',0),('useproxy','false','int','A','dbConnection',0),('PROXYSERVER','','str','P','dbConnection',0),('PROXYPORT','','str','P','dbConnection',0),('PROXYCONNECTION','','str','P',NULL,0),('proxypacfile','','str','A','dbConnection',0),('useoverview','true','int','J','theModules',0),('allowredactor','false','int','A',NULL,0),('showModuleExpl','true','int','J',NULL,0),('portaldirtype','group','str','A',NULL,0),('blockedModulePreventPageRemoval','true','int','J','thePortals',0),('enterprise','true','int','A',NULL,0),('registerfeeds','true','int','A',NULL,0),('moduleAlign','true','int','J',NULL,0),('moduleAlignDefault','true','int','J','thePortals',0),('homeDivs','{\"col\":1,\"row\":1,\"fct\":\"$p.network.information.summary\",\"anonymous\":false,\"connected\":true},{\"col\":2,\"row\":1,\"fct\":\"$p.network.alert.summary\",\"anonymous\":false,\"connected\":true},{\"col\":2,\"row\":2,\"fct\":\"$p.app.pages.summary\",\"anonymous\":false,\"connected\":true}','arr','J',NULL,0),('application','Envole','str','A',NULL,1),('PEEVERSION','3.2.0','str','A',NULL,0),('loadlatestpageonstart','3','int','J','thePortals',1),('template','default','str','A',NULL,0),('maxPageNb','30','int','J','thePortals',1),('themeList','\"default\"','arr','J',NULL,1),('displayOnlyPublicPagesForTheUser','true','int','A',NULL,0),('refreshFeedsDelai','1800','int','A',NULL,1),('feedsAutoLoading','false','int','A',NULL,1),('NOTIFICATIONEMAIL','','str','A','emailSending',0),('menuDefaultStatus','1','int','J','thePortals',1),('useChat','false','int','J',NULL,0),('addPagePermission','true','int','J','thePortals',1),('displayAllLanguageModules','true','int','J','theModules',1),('userChangePermission','false','int','J','thePortals',0),('passwordChangePermission','false','int','J','thePortals',0),('showModuleRefresh','true','int','J','theModules',1),('showModuleClose','true','int','J','theModules',1),('showModuleConfigure','true','int','J','theModules',1),('showModuleMinimize','true','int','J','theModules',1),('showModuleTitle','true','int','J','theModules',1),('getNbArticleOfArchive','false','int','P',NULL,1),('usePrivateModules','true','int','J',NULL,1),('useRssDelete','false','int','J',NULL,1),('displayrsssource','false','int','J','theFeeds',1),('displayrssimages','2','int','J','theFeeds',1),('rand','1265295294','str','P',NULL,0),('displayThemeSelector','true','int','J',NULL,1),('displayPublicPages','true','int','J',NULL,1),('tabType','navigator','str','J',NULL,1),('showTabOptions','true','int','J',NULL,1),('moveWidgetsInTabs','true','int','J',NULL,1),('numberOfTry','0','int','P','thePortals',0),('connectionDateRange','3600','int','P','thePortals',0),('captcha','false','int','A','thePortals',0),('SESSION','myhomepage','str','P',NULL,0),('tabsCanBeRenamed','true','int','J',NULL,1),('widgetTitleUpdatable','true','int','J',NULL,1),('networkIsPublic','true','int','A','collaboration',1),('displayRssDate','true','int','J',NULL,1),('useNetwork','true','int','J',NULL,1),('useNotebook','true','int','J',NULL,1),('uploadMaxFileSize','30000000','int','P',NULL,1),('uploadAllowedExtensions','.pdf,.doc,.txt,.jpg,.png,.bmp,.gif,.xls,.ppt,.pps,.odt,.rtf','str','P',NULL,1),('restrictOnExistingTags','false','int','J',NULL,1),('useRating','false','int','J',NULL,1),('allowGetWidgetOnMySite','true','int','J',NULL,1),('inactiveAccountsDelay','90','int','P',NULL,1),('WIDGET404','widget404.html','str','A','theModules',1),('DEFAULT_THEME_FOR_NEW_PAGES','0','int','J',NULL,1),('MENU_HIDDEN_IN_ANONYMOUS_PAGES','false','int','J',NULL,1),('ANONYMOUS_PAGES_ARE_BLOCKED','false','int','J',NULL,1),('NBWIDGETBYCOL','0','int','J',NULL,1),('DBTYPE','mysql','str','P',NULL,0),('INSTALLINGPOSHVERSION','2.2.3','str','P',NULL,0),('INSTALLTYPE','2','int','P',NULL,0),('autoCreat', 'Y', 'str', 'P', NULL,0),('defaultAuthen', 'cas', 'str', 'P', NULL,0);
/*!40000 ALTER TABLE `adm_config` ENABLE KEYS */;
UNLOCK TABLES;
-- Amelioration du menu du haut
LOCK TABLES `adm_headlinks` WRITE;
/*!40000 ALTER TABLE `adm_headlinks` DISABLE KEYS */;
DELETE FROM `adm_headlinks`;
INSERT INTO `adm_headlinks` VALUES (16,'form_search','form','','Search','','ico_search.gif','$p.search.shown=false;$p.search.start(indef,this.text.value);','O',34,0,1,0,'right'),(13,'lab_sep5','label','|','','','','','O',9,0,1,0,'right'),(12,'link_home','link','home','home','','','$p.app.openHome()','O',8,0,1,0,'right'),(2,'link_name','link','%username%','','','','$p.network.myprofile()','O',2,0,1,1,'right'),(6,'lab_sep1','label','|','','','','','O',7,0,1,0,'right'),(7,'link_menu','link','menu','menu','','','$p.app.menu.open()','O',15,1,1,0,'right'),(8,'lab_sep3','label','|','','','','','O',29,1,1,0,'right'),(9,'link_save','link','lblSave','lblSavePage','b','ico_menu_disk.gif','$p.app.connection.saveMenu()','O',36,1,0,0,'right'),(10,'lab_sep4','label','|','','','','','O',37,1,0,0,'right'),(11,'link_login','link','lblConnect','lblConnect','b','','$p.app.connection.menu()','O',38,1,0,0,'right'),(0,'link_widgets','link','lblAddContent','lblAddContent','','ico_menu_add.gif','$p.app.menu.widget.open()','O',20,1,1,0,'right'),(0,'lab_sep10','label','|','','','','','O',16,1,1,0,'right'),(20,'span_availability','label','','','','','','O',3,0,1,0,'right'),(3,'lab_par1','label','(','','','','','O',39,0,1,1,'right'),(4,'link_logout','link','lblDisconnect','lblDisconnect','','ico_disconnect.gif','$p.app.logout()','O',40,0,1,1,'right'),(5,'lab_par2','label',')','','','','','O',41,0,1,1,'right');
/*!40000 ALTER TABLE `adm_headlinks` ENABLE KEYS */;
UNLOCK TABLES;

-- On met à jour le nom de notre catégorie de widgets
LOCK TABLES `dir_category` WRITE;
/*!40000 ALTER TABLE `dir_category` DISABLE KEYS */;
UPDATE `dir_category` SET `name`='Widgets', `quantity`='9'  WHERE `id`='2';
/*!40000 ALTER TABLE `dir_category` ENABLE KEYS */;
UNLOCK TABLES;
-- On met les icones pour les widgets (pb d'erreur apache)
LOCK TABLES `dir_item` WRITE;
/*!40000 ALTER TABLE `dir_item` DISABLE KEYS */;
UPDATE `dir_item` SET `icon`='../modules/pictures/box0_84.ico' WHERE `id`='84';
UPDATE `dir_item` SET `icon`='../modules/pictures/box0_85.ico' WHERE `id`='85';
UPDATE `dir_item` SET `icon`='../modules/pictures/box0_86.ico', `name`='Lecteur RSS, podcast audio et vidÃ©o',`description`='Lire un flux RSS, podcast audio et vidÃ©o' WHERE `id`='86';
UPDATE `dir_item` SET `icon`='../modules/pictures/box0_295.ico',`name`='Gestion des t&acirc;ches',`description`='GÃ©rez vos tÃ¢ches sur votre portail' WHERE `id`='295';
UPDATE `dir_item` SET `icon`='../modules/pictures/box0_152.ico' WHERE `id`='152';
UPDATE `dir_item` SET `icon`='../modules/pictures/box0_111.ico' WHERE `id`='111';
UPDATE `dir_item` SET `icon`='../modules/pictures/box0_112.ico' WHERE `id`='112';
UPDATE `dir_item` SET `icon`='../modules/pictures/box0_340.ico' WHERE `id`='340';
UPDATE `dir_item` SET `icon`='../modules/pictures/box0_401.ico' WHERE `id`='401';
UPDATE `dir_item` SET `icon`='../modules/pictures/box0_402.ico' WHERE `id`='402';
/*!40000 ALTER TABLE `dir_item` ENABLE KEYS */;
UNLOCK TABLES;
-- On s'assure que c'est bien les widgets souhaités qui sont associées à notre catgéorie
LOCK TABLES `dir_cat_item` WRITE;
/*!40000 ALTER TABLE `dir_cat_item` DISABLE KEYS */;
DELETE from `dir_cat_item` WHERE `category_id`='2';
INSERT INTO `dir_cat_item` VALUES (85,2,'Y'),(84,2,'Y'),(295,2,'Y'),(152,2,'Y'),(111,2,'Y'),(340,2,'Y'),(112,2,'Y'),(401,2,'Y'),(402,2,'Y');
/*!40000 ALTER TABLE `dir_cat_item` ENABLE KEYS */;
UNLOCK TABLES;
--
-- Dumping data for table `dir_cat_properties`
--
LOCK TABLES `dir_cat_properties` WRITE;
/*!40000 ALTER TABLE `dir_cat_properties` DISABLE KEYS */;
DELETE FROM `dir_cat_properties` WHERE `category_id`='3' OR `category_id`='5000' OR `category_id`='2';
INSERT IGNORE INTO `dir_cat_properties` VALUES (2,'0');
/*!40000 ALTER TABLE `dir_cat_properties` ENABLE KEYS */;
UNLOCK TABLES;

LOCK TABLES `pages_module` WRITE;
/*!40000 ALTER TABLE `pages_module` DISABLE KEYS */;
DELETE FROM `pages_module` WHERE `page_id`='1';
INSERT INTO `pages_module` VALUES
(84,1,2,1,2,0,0,'',2,0,0),
(85,1,1,1,1,0,0,'',1,0,0),
(112,1,1,3,7,0,0,'',7,0,0),
(295,1,3,1,3,0,0,'',3,0,0),
(401,1,2,3,8,0,0,'',8,0,0);
/*!40000 ALTER TABLE `pages_module` ENABLE KEYS */;
UNLOCK TABLES;

-- ---------------------------------
-- - Mise en place des plugins Eole
-- ---------------------------------
DROP TABLE IF EXISTS `adm_plugins`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `adm_plugins` (
  `name` varchar(60) collate utf8_unicode_ci NOT NULL,
  `link` text collate utf8_unicode_ci NOT NULL,
  `dependency` varchar(60) collate utf8_unicode_ci NOT NULL,
  `status` char(1) collate utf8_unicode_ci NOT NULL default 'O',
  `forced` smallint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
SET character_set_client = @saved_cs_client;
-- Dumping data for table `adm_plugins`
LOCK TABLES `adm_plugins` WRITE;
/*!40000 ALTER TABLE `adm_plugins` DISABLE KEYS */;
INSERT INTO `adm_plugins` VALUES ('Enterprise main tools','enterprise_edition/enterprise_edition.php','no','O',1),('plugin EOLECAS','plugin_eolecas/plugin_eolecas.php','no','O',1),('plugin AUTOCREAT','plugin_AC/plugin_AC.php','no','O',1),('plugin DESKTOP','plugin_desktop/plugin_desktop.php','no','O',1),('plugin THUMBS','plugin_thumbs/plugin_thumbs.php','no','O',1);
/*!40000 ALTER TABLE `adm_plugins` ENABLE KEYS */;
UNLOCK TABLES;

-- On supprime les informations complémentaires des utilisateurs (trucs qui servent à rien)
LOCK TABLES `adm_userinfo` WRITE;
/*!40000 ALTER TABLE `adm_userinfo` DISABLE KEYS */;
/*!40000 ALTER TABLE `adm_userinfo` ENABLE KEYS */;
UNLOCK TABLES;
-- Nettoyage : admin est administrateur : il reprend l'id 1
--             et on supprime envoleadmin dégage.
DELETE from `users` where `id`='1' AND `username`='envoleadmin';
DELETE from `profile` where `user_id`='1';
UPDATE `adm_group_map` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `app_contact` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `feed_articles_read` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `module` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `network` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `network_alerts` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `network_keywords` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `network_news` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `notebook_article_users` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `notebook_comments` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `notebook_groups_articles_map` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `notebook_groups_users_map` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `profile` set `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `redactor_map_feeds` set `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `redactors` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `users_articles` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `users_articles_keywords` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `users_calendar_id` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `users_favorites_id` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `users_friends` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `users_group_map` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `users_info` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `users_mail` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `users_messages` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `users_notes` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `users_notification` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `users_tasks_id` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `widget_addressbook_id` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
UPDATE `widget_html` SET `user_id`='1' WHERE `user_id`=(SELECT `id` from `users` where `username`='admin');
DELETE from `adm_tabs_map`;
LOCK TABLES `adm_tabs_map` WRITE;
/*!40000 ALTER TABLE `adm_tabs_map` DISABLE KEYS */;
INSERT INTO `adm_tabs_map` VALUES (1,1),(1,2),(1,3),(1,4),(1,5),(1,6),(1,7),(1,8);
/*!40000 ALTER TABLE `adm_tabs_map` ENABLE KEYS */;
UNLOCK TABLES;
UPDATE `users` SET `id`='1' WHERE `username`='admin';
