#-*-coding:utf-8-*-
"""
    Update systématique de la base posh
    Mise à jour de la table de configuration tu portail
"""
from eolesql.config import dico_creole

DB = "posh"
FILENAMES = ['/usr/share/eole/applications/updates/posh_config/update_config.sql']

def test_response(result=None):
    """
        Vérifie que posh est bien actif
    """
    return dico_creole.get('posh', 'non') == 'oui'

conf_dict = dict(db=DB,
                 expected_response=test_response,
                 filenames=FILENAMES,
                 version='Mise à jour de la configuration'
                 )
