#-*-coding:utf-8-*-
"""
    Configuration de l'update de la base poshprofile
"""
QUERY = "SHOW VARIABLES LIKE 'character_set_database';"
DB = "poshprofile"
FILENAMES = ["/usr/share/eole/applications/updates/poshprofile/update_poshprofile.sql"]

def test_response(result):
    """
        Renvoie True si il faut mettre la base à jour
    """
    return ('character_set_database', 'utf8') not in result

conf_dict = dict(condition_query=QUERY,
                 expected_response=test_response,
                 db=DB,
                 filenames=FILENAMES,
                 version='2.2.1',
                 )
