<?php
/*
 * name: plugin myConfig
 * description: Plugin EnvOLE permettant aux utilisateurs de modifier leur mot de passe
 * display:  style="font-weight:bolder;"
 * dependencies: no
 * author: christophe DESEURE
 * url: http://eole.orion.education.fr
 */

// Installation du plugin charte
register_hook("install_plugin_myConfig/plugin_myConfig", "myConfig_install");
register_hook("uninstall_plugin_myConfig/plugin_myConfig", "myConfig_uninstall");

register_hook('userinterface_header','myConfig_loadjs',5,0);

include_once('utils.php');

function myConfig_install()
{
    // Copie de la page de modification de mot de passe (fait en postinst sur Scribe)
    if (@copy("/var/www/html/posh/includes/plugins/plugin_myConfig/mod_password.php", "/var/www/html/posh/portal/mod_password.php"))
    {
        myConfig_log("Le fichier mod_password.php a bien été copié.");
    }else
    {
        myConfig_log("Erreur à la copie du fichier mod_password.php.");
    }
}
function myConfig_uninstall()
{
    // Suppression de la page de modification de mot de passe (ne fonctionnera pas sur Scribe)
    if(@unlink("/var/www/html/posh/portal/mod_password.php")){
        myConfig_log("Le fichier mod_password.php a bien été supprimé.");
    }else
    {
        myConfig_log("Erreur à la suppression du fichier mod_password.php.");
    }
}


function myConfig_loadjs()
	{
	echo "<script type='text/javascript' src='../includes/plugins/plugin_myConfig/javascript.js?v=1.0.0'></script>";
	}

?>
