<?php
/*
 * name: plugin piwik
 * description: Plugin EnvOLE permettant d'effectuer des statistiques à partir de posh
 * display:  style="font-weight:bolder;"
 * dependencies: no
 * author: lucile COUTOULY
 * url: http://eole.orion.education.fr
 */

register_hook('scr_connect_session_initialized','session_piwik',5,1);
register_hook('userinterface_end','cookie_piwik',5,1);


function session_piwik($user)
	{
	 /**
		mise en variable de session
	*/
		$_SESSION["rne"] = $user->rne;
		$_SESSION["group"] = $user->group;
		$_SESSION["provenance"] = $_SERVER["REMOTE_ADDR"];

	}


function cookie_piwik($pagename)
	{
	// piwik load
	echo  "<script type='text/javascript'>
	var pkBaseURL = ('/piwik2/');
	__PIWIK = true;
	document.write(unescape(\"%3Cscript src='\" + pkBaseURL + \"piwik.js' type='text/javascript'%3E%3C/script%3E\"));
	</script>";
	
	//cookie
	echo "<script type='text/javascript'>\$p.app.user.rne = '".$_SESSION['rne']."';";
	echo "\$p.app.user.group = '".$_SESSION['group']."';";
	echo "\$p.app.user.provenance = '".$_SESSION['provenance']."';";
	echo " var data=JSON.encode(\$p.app.user); ";
	echo  "document.cookie = '\$envole.user='+JSON.encode(\$p.app.user)+';path=/;';";	
	
	//piwik init stat
	echo "function readCookie(name) {
		var nameEQ = name + '=';
		var ca = document.cookie.split(';');
		for(var i=0;i < ca.length;i++) {
			var c = ca[i];
			while (c.charAt(0)==' ') c = c.substring(1,c.length);
			if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
		}
		return null;
	}
	
	var user=eval('(' + readCookie(\"\$envole.user\") + ')');";
	
	echo '    var piwikTracker = Piwik.getTracker(pkBaseURL + "piwik.php", 1);
            piwikTracker.setCustomData( user );
            piwikTracker.setDocumentTitle("Connexion");
            piwikTracker.trackPageView();
            piwikTracker.enableLinkTracking();';
	echo 	"</script>";
	
	echo "<script type='text/javascript' src='../includes/plugins/plugin_piwik/piwik.js?v=1.0.0'></script>";
	}

?>
